package geometry;

public class Point2D {

    private double x;
    private double y;
    
    public void setX(double value) {
        x = value;
    }
    
    public void setY(double value) {
        y = value;
    }
    
    public Point2D(double x, double y) {
        this.x = x;
        this.y = y;
    }
    
    public double getX() {
        return x;
    }
    
    public double getY() {
        return y;
    }
    
    public double distance(Point2D pt) {
        return Math.sqrt(Math.pow(x - pt.getX(), 2) + (y - pt.getY()) * (y - pt.getY()));        
    }
}













