package geometry;

public class Vector2D {

    private double x;
    private double y;
    
    public void setX(double value) {
        x = value;
    }
    
    public void setY(double value) {
        y = value;
    }
    
    public Vector2D(double x, double y) {
        this.x = x;
        this.y = y;
    }
    
    public double getX() {
        return x;
    }
    
    public double getY() {
        return y;
    }
    
    public double distance(Vector2D vec) {
        return Math.sqrt(Math.pow(x - vec.getX(), 2) + (y - vec.getY()) * (y - vec.getY()));        
    }
}













