package game.config;

import static org.junit.Assert.*;
import junit.framework.Assert;
import game.config.GameConfig;

import org.junit.*;

public class GameConfigTest {

	@Test
	public void test() {
		try {
			GameConfig conf1 = new GameConfig();
			GameConfig conf2 = GameConfig.getInstance("res/config/TestConfig.config");
			
			Assert.assertEquals(conf1.getCellHeight(), 20);
			Assert.assertEquals(conf1.getCellWidth(), 20);
			Assert.assertEquals(conf1.getWindowHeight(), 480);
			Assert.assertEquals(conf1.getWindowWidth(), 640);
			Assert.assertEquals(conf1.getImageDir(), "res/images");
			Assert.assertEquals(conf1.getMapDir(), "res/maps");
			Assert.assertEquals(conf1.getTitle(), "Game");
			
			Assert.assertEquals(conf2.getTitle(), "MyGame");
			Assert.assertEquals(conf2.getCellHeight(), 42);
			Assert.assertEquals(conf2.getCellWidth(), 23);
			Assert.assertEquals(conf2.getMapDir(), "woanders");
			Assert.assertEquals(conf2.getImageDir(), "res/images");
			Assert.assertEquals(conf2.getWindowHeight(), 600);
			Assert.assertEquals(conf2.getWindowWidth(), 800);
		} catch (Exception e) {
		fail("Exception was thrown" + e);
		}
	}

}
