package game.config;

import static org.junit.Assert.*;

import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.util.ArrayList;

import junit.framework.Assert;

import game.config.GameUpdate;

import org.junit.Test;

public class GameUpdateTest {

	@Test
	public void test() {
		try {
			ArrayList<KeyEvent> keys = new ArrayList<KeyEvent>();
			ArrayList<MouseEvent> mouse = new ArrayList<MouseEvent>();
			
			GameUpdate gameUpdate = new GameUpdate(23, 42, keys, mouse);
			
			Assert.assertEquals(gameUpdate.getTimeSinceStart(), 23.0, 0.001);
			Assert.assertEquals(gameUpdate.getTimeSinceUpdate(), 42.0, 0.001);
			Assert.assertEquals(gameUpdate.getKeyEvents(), keys);
			Assert.assertEquals(gameUpdate.getMouseEvents(), mouse);
		} catch (Exception e) {
			fail("Exception was thrown " + e);
		}
	}

}
